### Method

# Json Generator to_stream

since: 0.12

#### Declaration [src]

    gboolean
    json_generator_to_stream (
      JsonGenerator* generator,
      GOutputStream* stream,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Outputs JSON data and writes it (synchronously) to the given stream.

Available since: 0.12

#### Parameters

`stream`

  Type: `GOutputStream`

  The output stream used to write the JSON data.

  The data is owned by the caller of the method.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

Whether the write operation was successful.